Page MenuHomePhabricator

Support postfixes like references in tablesorter cells with ISO dates
Closed, ResolvedPublic

Description

A sortable wikitable is incorrectly sorting. This use to work correctly.
For example in the wikipedia page: List of Australian Group races (https://en.wikipedia.org/wiki/List_of_Australian_Group_races) in the section, Group 1,2 and 3 races, sorting by date produces an incorrect sort, both in ascending and descending order.

See attached file:

Regards,
Brudder_Andrusha

Event Timeline

Brudder_Andrusha raised the priority of this task from to Normal.
Brudder_Andrusha updated the task description. (Show Details)
Brudder_Andrusha added a subscriber: Brudder_Andrusha.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2015, 12:28 PM
Aklapper raised the priority of this task from Normal to Needs Triage.Oct 2 2015, 2:54 PM
Aklapper set Security to None.

Wondering if that's related to some table cells not having dates only but more data, like

|2015-04-06 <small>{{ref|1|''(1)''}}</small>

Also see T54842.

I think that that is the root cause of the sort not working....
But if you look at the history that was modified a lot earlier - and the sort was working a couple of days ago.

Aklapper renamed this task from Sort not working correctly to Sort not working correctly for dates (YYY-MM-DD) in a table.Oct 2 2015, 6:35 PM
TheDJ added a subscriber: TheDJ.Oct 6 2015, 4:30 PM

This might be a regression of T54842. It probably doesn't account for 'postfixes'

Change 243988 had a related patch set uploaded (by TheDJ):
jquery.tablesorter: Match clobbered iso dates and fix edgecases

https://gerrit.wikimedia.org/r/243988

TheDJ renamed this task from Sort not working correctly for dates (YYY-MM-DD) in a table to Support postfixes like references in tablesorter cells with ISO dates.Oct 6 2015, 7:31 PM
TheDJ claimed this task.
TheDJ triaged this task as Normal priority.
matmarex closed this task as Resolved.Oct 13 2015, 1:49 PM
matmarex removed a project: Patch-For-Review.

Change 243988 merged by jenkins-bot:
jquery.tablesorter: Match clobbered iso dates and fix edgecases

https://gerrit.wikimedia.org/r/243988

Is there any progress on the resolution of this issue?

Is there any progress on the resolution of this issue?

Yes, see the previous comments and https://www.mediawiki.org/wiki/Bug_management/Bug_report_life_cycle for more info.

Did a test today and it looks like its fixed.

Thanks to all involved!